Subject: Re: Packaging software built with cygwin
From: Robert Collins <[email-masked]>
To: Jay Maynard <[email-masked]>
Cc: [email-masked]
Date: 06 Feb 2003 08:40:49 +1100

On Thu, 2003-02-06 at 05:55, Jay Maynard wrote:

> > A setup.ini with just the cygwin DLL in it seems pretty simple.
> 
> True. OTOH, when setup.exe changes, the format of that file is subject to
> change (see Igor's warning in the message where he first suggested that). I
> can insulate myself from that by distributing setup.exe, but then I'm back
> in the same boat of making sure that I distribute the source code that's
> used to generate it.

We're in that boat too. (I'm the setup.exe maintainer). And we don't
break compatability at any significant speed - we *alway* deprecate for
at least one release, to allow third party sites (ones with their own
custom setup.ini) to catch up in their own time.

For instance, uncompressed setup.ini's are still supported, as a
fallback when .bz2 compressed ones are not found.

As far as distributing multiple versions of setup.exe's source, it's
easy: only distribute the current version. You don't need to distribute
old versions, because you can just update your setup.ini.

> > Supporting other people's distributions is not a core focus of
> > setup.exe.  However, if this is important to you it should be pretty
> > easy for you to submit patches to do what you want.
> 
> I'll take a look in my copious free time.

Do that. There is very little that would need doing, if I intuit your
needs correctly.

Rob
-- 
GPG key available at: <http://users.bigpond.net.au/robertc/keys.txt>.